[-]
[+]
|
Changed |
munin.changes
|
|
[-]
[+]
|
Changed |
munin.spec
^
|
|
[-]
[+]
|
Changed |
munin-2.0.20.tar.bz2/.travis.yml
^
|
@@ -1,12 +1,16 @@
language: perl
perl:
+ - "5.18"
- "5.16"
- "5.14"
+ - "5.12"
- "5.10"
+ - "5.8"
branches:
only:
- stable-2.0
- devel
+ - master
install: "/bin/true"
before_install:
- "cpanm --notest File::Copy::Recursive"
@@ -28,7 +32,13 @@
notifications:
email: false
irc:
- on_success: always # change
+ on_success: change # no need for spam
on_failure: always
channels:
- "irc.oftc.net#munin"
+ template:
+ - "%{repository} (%{branch} - %{commit} : %{author}): %{message}"
+ - "Build details: %{build_url}"
+matrix:
+ # we don't need to continue any build when 1 test is failing.
+ fast_finish: true
|
[-]
[+]
|
Changed |
munin-2.0.20.tar.bz2/ChangeLog
^
|
@@ -1,5 +1,50 @@
-*- text -*-
+munin-2.0.20, 2014-03-28
+
+-------
+Summary
+-------
+
+Bugfix release. It fixes the "start should be less than end" bug.
+
+Closes: #1358, #1350, #1434, #1224
+
+------------------
+Detailed Changelog
+------------------
+
+Alexander Shorin (2):
+ Generate correct RRD filenames for nested graphs.
+ Fix unreasonable die in iostat_io
+
+Axel Huebl (1):
+ p/http_loadtime: renable autoconf
+
+Lars Thegler (1):
+ plugins/Plugin.pm: log filename in tail_open()
+
+Matthias Schmitz (2):
+ Use perl instead of GNU sed; fix spelling error
+ Fix small typo (misspelled name)
+
+Steve Schnepp (11):
+ p/Pgsql.pm: fix version check on windows
+ master/Update: atomic write datafile with tmp+ren
+ master: fix kill invocation
+ master/graph: fix gfx error when plugin is too old
+ travis: We want to support down to perl 5.8
+ travis: test perl 5.18
+ travis: test perl 5.12
+ travis: build the master branch
+ travis: remove notify on successive successful
+ travis: change the IRC template
+ travis: failing fast
+
+cernst1980 (1):
+ p/lpstat: fix jobsize
+
+
munin-2.0.19, 2013-12-07
-------
|
[-]
[+]
|
Changed |
munin-2.0.20.tar.bz2/Makefile
^
|
@@ -213,7 +213,7 @@
# Dummy rule to enable parallel building
infiles: $(INFILES)
-build: infiles build-master build-common-prime build-node build-plugins $(JAVA_BUILD) build-man substitue-confvar-inline
+build: infiles build-master build-common-prime build-node build-plugins $(JAVA_BUILD) build-man substitute-confvar-inline
build/%: %.in
@echo "$< -> $@"
@@ -253,38 +253,37 @@
build-common-prime: build-common-pre common/blib/lib/Munin/Common/Defaults.pm build-common
-substitue-confvar-inline:
- @sed -e 's|@@PREFIX@@|$(PREFIX)|g' \
- -e 's|@@CONFDIR@@|$(CONFDIR)|g' \
- -e 's|@@BINDIR@@|$(BINDIR)|g' \
- -e 's|@@SBINDIR@@|$(SBINDIR)|g' \
- -e 's|@@DOCDIR@@|$(DOCDIR)|g' \
- -e 's|@@LIBDIR@@|$(LIBDIR)|g' \
- -e 's|@@MANDIR@@|$(MANDIR)|g' \
- -e 's|@@LOGDIR@@|$(LOGDIR)|g' \
- -e 's|@@HTMLDIR@@|$(HTMLDIR)|g' \
- -e 's|@@DBDIR@@|$(DBDIR)|g' \
- -e 's|@@STATEDIR@@|$(STATEDIR)|g' \
- -e 's|@@SPOOLDIR@@|$(SPOOLDIR)|g' \
- -e 's|@@PERL@@|$(PERL)|g' \
- -e 's|@@PERLLIB@@|$(PERLLIB)|g' \
- -e 's|@@PYTHON@@|$(PYTHON)|g' \
- -e 's|@@RUBY@@|$(RUBY)|g' \
- -e 's|@@JAVARUN@@|$(JAVARUN)|g' \
- -e 's|@@JAVALIBDIR@@|$(JAVALIBDIR)|g' \
- -e 's|@@OSTYPE@@|$(OSTYPE)|g' \
- -e 's|@@HOSTNAME@@|$(HOSTNAME)|g' \
- -e 's|@@MKTEMP@@|$(MKTEMP)|g' \
- -e 's|@@VERSION@@|$(VERSION)|g' \
- -e 's|@@PLUGSTATE@@|$(PLUGSTATE)|g' \
- -e 's|@@CGIDIR@@|$(CGIDIR)|g' \
- -e 's|@@USER@@|$(USER)|g' \
- -e 's|@@GROUP@@|$(GROUP)|g' \
- -e 's|@@PLUGINUSER@@|$(PLUGINUSER)|g' \
- -e 's|@@GOODSH@@|$(GOODSH)|g' \
- -e 's|@@BASH@@|$(BASH)|g' \
- -e 's|@@HASSETR@@|$(HASSETR)|g' \
- --in-place \
+substitute-confvar-inline:
+ @perl -p -i -e 's|\@\@PREFIX\@\@|$(PREFIX)|g;' \
+ -e 's|\@\@CONFDIR\@\@|$(CONFDIR)|g;' \
+ -e 's|\@\@BINDIR\@\@|$(BINDIR)|g;' \
+ -e 's|\@\@SBINDIR\@\@|$(SBINDIR)|g;' \
+ -e 's|\@\@DOCDIR\@\@|$(DOCDIR)|g;' \
+ -e 's|\@\@LIBDIR\@\@|$(LIBDIR)|g;' \
+ -e 's|\@\@MANDIR\@\@|$(MANDIR)|g;' \
+ -e 's|\@\@LOGDIR\@\@|$(LOGDIR)|g;' \
+ -e 's|\@\@HTMLDIR\@\@|$(HTMLDIR)|g;' \
+ -e 's|\@\@DBDIR\@\@|$(DBDIR)|g;' \
+ -e 's|\@\@STATEDIR\@\@|$(STATEDIR)|g;' \
+ -e 's|\@\@SPOOLDIR\@\@|$(SPOOLDIR)|g;' \
+ -e 's|\@\@PERL\@\@|$(PERL)|g;' \
+ -e 's|\@\@PERLLIB\@\@|$(PERLLIB)|g;' \
+ -e 's|\@\@PYTHON\@\@|$(PYTHON)|g;' \
+ -e 's|\@\@RUBY\@\@|$(RUBY)|g;' \
+ -e 's|\@\@JAVARUN\@\@|$(JAVARUN)|g;' \
+ -e 's|\@\@JAVALIBDIR\@\@|$(JAVALIBDIR)|g;' \
+ -e 's|\@\@OSTYPE\@\@|$(OSTYPE)|g;' \
+ -e 's|\@\@HOSTNAME\@\@|$(HOSTNAME)|g;' \
+ -e 's|\@\@MKTEMP\@\@|$(MKTEMP)|g;' \
+ -e 's|\@\@VERSION\@\@|$(VERSION)|g;' \
+ -e 's|\@\@PLUGSTATE\@\@|$(PLUGSTATE)|g;' \
+ -e 's|\@\@CGIDIR\@\@|$(CGIDIR)|g;' \
+ -e 's|\@\@USER\@\@|$(USER)|g;' \
+ -e 's|\@\@GROUP\@\@|$(GROUP)|g;' \
+ -e 's|\@\@PLUGINUSER\@\@|$(PLUGINUSER)|g;' \
+ -e 's|\@\@GOODSH\@\@|$(GOODSH)|g;' \
+ -e 's|\@\@BASH\@\@|$(BASH)|g;' \
+ -e 's|\@\@HASSETR\@\@|$(HASSETR)|g;' \
./master/blib/libdoc/Munin::Master::HTMLOld.3pm \
./master/blib/lib/Munin/Master/HTMLOld.pm \
./node/blib/sbin/munin-node-configure \
|
[-]
[+]
|
Changed |
munin-2.0.20.tar.bz2/RELEASE
^
|
@@ -1 +1 @@
-2.0.19
+2.0.20
|
[-]
[+]
|
Changed |
munin-2.0.20.tar.bz2/master/doc/munin-check.pod
^
|
@@ -38,7 +38,7 @@
=head1 COPYRIGHT
-Copyright (C) 2002-2008 Matthias Schmitzs.
+Copyright (C) 2002-2008 Matthias Schmitz.
This is free software; see the source for copying conditions. There is
NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR
|
[-]
[+]
|
Changed |
munin-2.0.20.tar.bz2/master/lib/Munin/Master/GraphOld.pm
^
|
@@ -1589,7 +1589,7 @@
# enddate possibly in future
my $futuretime = $pinpoint ? 0 : $resolutions{$time} * get_end_offset($service);
- my $enddate = $lastupdate + ($futuretime);
+ my $enddate = time + ($futuretime);
DEBUG "[DEBUG] lastupdate: $lastupdate, enddate: $enddate\n";
# future begins at this horizontal ruler
|
[-]
[+]
|
Changed |
munin-2.0.20.tar.bz2/master/lib/Munin/Master/Update.pm
^
|
@@ -268,13 +268,19 @@
my $lock_file = "$config->{rundir}/munin-datafile.lock";
munin_runlock($lock_file);
- open my $dump, '>', $self->{config_dump_file}
- or croak "Fatal error: Could not open '$self->{config_dump_file}' for writing: $!";
+ my $config_dump_file = $self->{config_dump_file};
+ my $config_dump_file_tmp = "$config_dump_file.$$";
+
+ open my $dump, '>', $config_dump_file_tmp
+ or croak "Fatal error: Could not open '$config_dump_file_tmp' for writing: $!";
$self->_write_new_service_configs($dump);
close $dump
- or croak "Fatal error: Could not close '$self->{config_dump_file}': $!";
+ or croak "Fatal error: Could not close '$config_dump_file_tmp': $!";
+
+ rename $config_dump_file_tmp, $config_dump_file
+ or croak "Fatal error: Could not rename '$config_dump_file_tmp' to '$config_dump_file': $!";
munin_removelock($lock_file);
}
|
[-]
[+]
|
Changed |
munin-2.0.20.tar.bz2/master/lib/Munin/Master/UpdateWorker.pm
^
|
@@ -235,7 +235,7 @@
# kill the remaining process if needed
if ($self->{node}->{pid} && kill(0, $self->{node}->{pid})) {
INFO "[INFO] Killing subprocess $self->{node}->{pid}";
- kill $self->{node}->{pid};
+ kill 'TERM', $self->{node}->{pid};
}
if ($EVAL_ERROR =~ m/^NO_SPOOLFETCH_DATA /) {
|
[-]
[+]
|
Changed |
munin-2.0.20.tar.bz2/master/lib/Munin/Master/Utils.pm
^
|
@@ -1161,9 +1161,9 @@
}
if ($asfile) {
- return join('/',@group).'-'.join('-',@service);
+ return (shift @group).'/'.join('-',@group).'-'.join('-',@service);
} else {
- return join(';',@group).':'.join('.',@service);
+ return join(';',@group).':'.join('.',@service);
}
}
|
[-]
[+]
|
Changed |
munin-2.0.20.tar.bz2/plugins/lib/Munin/Plugin.pm
^
|
@@ -429,7 +429,7 @@
my $size = (stat($file))[7];
- warn "**Size is $size\n" if $DEBUG;
+ warn "**Size of $file is $size\n" if $DEBUG;
if (!defined($size)) {
warn "$me: Could not stat input file '$file': $!\n";
|
[-]
[+]
|
Changed |
munin-2.0.20.tar.bz2/plugins/lib/Munin/Plugin/Pgsql.pm
^
|
@@ -478,7 +478,7 @@
my $r = $self->runquery("SELECT version()");
my $v = $r->[0]->[0];
die "Unable to detect PostgreSQL version\n"
- unless ($v =~ /^PostgreSQL (\d+)\.(\d+)(\.\d+|devel) on/);
+ unless ($v =~ /^PostgreSQL (\d+)\.(\d+)(\.\d+|devel)\b/);
$self->{detected_version} = "$1.$2";
}
|
[-]
[+]
|
Changed |
munin-2.0.20.tar.bz2/plugins/node.d.linux/iostat_ios.in
^
|
@@ -121,11 +121,10 @@
if (-r "/proc/diskstats") {
$kernel = 2.6;
- $parts = new IO::File("/proc/diskstats") || die();
+ $parts = new IO::File("/proc/diskstats") || die("unable to open /proc/diskstats\n");
} else {
$kernel = 2.4;
- $parts = new IO::File("/proc/partitions");
- die("kernel $kernel not supported yet\n");
+ $parts = new IO::File("/proc/partitions") || die("unable to open /proc/partitions\n");
}
unless ($parts) {
|
[-]
[+]
|
Changed |
munin-2.0.20.tar.bz2/plugins/node.d/http_loadtime.in
^
|
@@ -13,15 +13,10 @@
target - URL to fetch (default: "http://localhost/")
-=head1 BUGS
-
-This plugin used to be marked for auto-configuraiton. Unfortunately
-it does not test if the $target is reachable or not, and the plugin
-has been made a contrib plugin pending fixing.
-
=head1 AUTHOR
-Unknown author
+Unknown authors
+(2013) Axel Huebl
=head1 LICENSE
@@ -29,21 +24,30 @@
=head1 MAGIC MARKERS
- #%# family=contrib
+ #%# family=auto
#%# capabilities=autoconf
=cut
target=${target:-"http://localhost/"}
+wget_opt="--user-agent \"Munin - http_loadtime\" --no-cache -q --delete-after"
+time_bin=`which time`
if [ "$1" = "autoconf" ]; then
result="yes"
- command -v wget 2>/dev/null >/dev/null || result=1
+ command -v $time_bin 2>&1 >/dev/null || result=1
+ command -v tr 2>&1 >/dev/null || result=1
+ command -v wget 2>&1 >/dev/null || result=1
if [ "$result" != "yes" ]; then
- echo "no (need time and wget programs)"
+ echo "no (programs time, wget and tr required)"
exit 0
fi
- if ! wget -q -O /dev/null $target; then
+ if ! $wget_bin -q -O /dev/null $target; then
+
+ # check if url responds
+ #
+ wget --spider $target $wget_opt
+ if [ "$?" != "0" ]; then
echo "no (Cannot run wget against \"$target\")"
exit 0
fi
@@ -67,7 +71,7 @@
trap "rm -rf $TEMPO_DIR" EXIT
cd $TEMPO_DIR || exit 1
-loadtime=$((/usr/bin/time -p wget -p --no-cache --delete-after $target -q) 2>&1 | awk '/^real / { print $2 }')
-cd ..
+loadtime=`$time_bin --quiet -f "%e" wget $wget_opt $target 2>&1`
+cd -
echo "loadtime.value $loadtime"
|
[-]
[+]
|
Changed |
munin-2.0.20.tar.bz2/plugins/node.d/lpstat.in
^
|
@@ -145,6 +145,7 @@
exit 2;
}
@jobs = ( <LPSTAT> );
+ $n_jobs = @jobs;
$jobs{$printer}=$n_jobs || 0;
}
|
[-]
[+]
|
Changed |
munin-2.0.20.tar.bz2/plugins/plugins.history.in
^
|
@@ -364,3 +364,4 @@
[2.0.17]
[2.0.18]
[2.0.19]
+[2.0.20]
|